package com.iden.common.vo;


import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 摄像头表(IdenCamera)å®ä½ç±»
 *
 * @author makejava
 * @since 2021-12-22 17:23:43
 */

@Data
@ApiModel(value = "摄像头表", description = "")
public class CameraVO implements Serializable {
    private static final long serialVersionUID = -55010922380921938L;

    private Long id;


    @ApiModelProperty("设备编号")
    private String code;


    @ApiModelProperty("设备名称")
    private String name;


    @ApiModelProperty("IP地址")
    private String ip;


    @ApiModelProperty("所属区域")
    private String district;


    @ApiModelProperty("所属街道")
    private String subdistrict;


    @ApiModelProperty("所属小区id")
    private Long communityId;


    @ApiModelProperty("位置")
    private String place;


    @ApiModelProperty("经度")
    private Double longitude;


    @ApiModelProperty("纬度")
    private Double latitude;


    @ApiModelProperty("状态,0未连接，1已连接")
    private String status;

    @ApiModelProperty("状态名,0未连接，1已连接")
    private String statusName;


    @ApiModelProperty("类型：1摄像机，2抓拍设备")
    private String type;

    @ApiModelProperty("类型名：1摄像机，2抓拍设备")
    private String typeName;

    @ApiModelProperty("备注")
    private String remark;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @ApiModelProperty("createTime")
    private Date createTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @ApiModelProperty("modifyTime")
    private Date modifyTime;


}
