package com.iden.common.util;

import java.io.File;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.List;

public class FileUtil {

    /**
     * 按名称递增排序
     * @param files
     * @return
     */
    public static File[] sortByName(File[] files) {
        if (files == null|| files.length == 0) {
            return files;
        }
        List<File> fileList = new ArrayList<>();
        for (File f : files) {
            fileList.add(f);
        }
        Collections.sort(fileList, new Comparator<File>() {
            @Override
            public int compare(File o1, File o2) {
                return o1.getName().compareTo(o2.getName());
            }
        });
        File[] filesNew = new File[fileList.size()];
        return fileList.toArray(filesNew);
    }

    public static void main(String[] args) {
        File[] files = new File[]{new File("3"),new File("2"),new File("4")};
        files =  sortByName(files);
        System.out.println(files);
    }
}
